'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var error = _express2.default.Router();

error.use(function (req, res, next) {
    var err = new Error('Not Found');
    err.status = 404;
    next(err);
});

error.use(function (err, req, res) {
    res.status(err.status || 500);
    if (process.env.DEV) {
        res.json({
            message: err.message,
            status: err.status,
            error: err
        });
    }
});

exports.default = error;