'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = start;

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _morgan = require('morgan');

var _morgan2 = _interopRequireDefault(_morgan);

var _serveIndex = require('serve-index');

var _serveIndex2 = _interopRequireDefault(_serveIndex);

var _error = require('./error');

var _error2 = _interopRequireDefault(_error);

var _logger = require('../utils/logger');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var app = (0, _express2.default)();

function start(handler, assets, devConfig) {
    if (process.env.NODE_ENV === 'development') {
        app.use((0, _morgan2.default)('dev'));
        app.use('/public', (0, _serveIndex2.default)(assets));
        app.use(require('webpack-dev-middleware')(devConfig.webpackCompiler, { publicPath: '/' }));
        app.use(require('webpack-hot-middleware')(devConfig.webpackCompiler));
    }

    app.use('/', _express2.default.static(assets));

    app.get('/*', handler);

    app.use(_error2.default);

    app.listen(3000, function () {
        (0, _logger.logInfo)('Server started.');
    });
}