import express from 'express';

const error = express.Router();

error.use((req, res, next) => {
    const err = new Error('Not Found');
    err.status = 404;
    next(err);
});

error.use((err, req, res) => {
    res.status(err.status || 500);
    if (process.env.DEV) {
        res.json({
            message: err.message,
            status: err.status,
            error: err
        });
    }
});

export default error;
